Повышение привилегий в MaxDB

Дата публикации:
01.08.2008
Всего просмотров:
894
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MaxDB 7.x
Уязвимые версии: MaxDB 7.6.03.15 на Linux, возможно более ранние версии

Описание:
Уязвимость позволяет локальному пользователю повысить свои привилегии на системе.

Уязвимость существует из-за того, что приложение "dbmsrv" некорректно проверяет переменную окружения "PATH" при выполнении через "dbmcli". Локальный пользователь может с помощью специально сформированного значения переменной окружения "PATH" выполнить произвольный код на системе с привилегиями пользователя "sdb" и группы "sdba".

URL производителя: www.mysql.com/products/maxdb/

Решение: Установите последнюю версию с сайта производителя.

Ссылки: iDefense Security Advisory 07.30.08: SAP MaxDB dbmsrv Untrusted Execution Path Vulnerability

или введите имя

CAPTCHA